ランタイム: Mix::Scene::IActorListener Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions | List of all members
Mix::Scene::IActorListener Class Referenceabstract

アクターリスナーインターフェース More...

`#include <IActorListener.h>`

Inheritance diagram for Mix::Scene::IActorListener:
[legend]
Collaboration diagram for Mix::Scene::IActorListener:
[legend]

## Classes

struct | RT_APPLY_EVENT_ARGS
| ルートトランスフォーム : 適用イベントデータ構造体 More...
struct | RT_SPACE_EVENT_ARGS
| ルートトランスフォーム : 空間イベントデータ構造体 More...

## Public Member Functions

virtual | ~IActorListener (void)
| デストラクタ More...
virtual void | OnRTQuerySpace (Mix::Scene::IActorModel *pOwner, Mix::Scene::IActorListener::RT_SPACE_EVENT_ARGS &args)=0
| ルートトランスフォームの空間を問い合わせる際に呼び出されます More...
virtual void | OnRTPreApply (Mix::Scene::IActorModel *pOwner, Mix::Scene::IActorListener::RT_APPLY_EVENT_ARGS &args)=0
| ルートトランスフォームを適用する前に呼び出されます More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Additional Inherited Members

Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Detailed Description

アクターリスナーインターフェース

## Constructor & Destructor Documentation

virtual Mix::Scene::IActorListener::~IActorListener | ( | void |  | ) |

inlinevirtual

デストラクタ

## Member Function Documentation

virtual void Mix::Scene::IActorListener::OnRTQuerySpace | ( | Mix::Scene::IActorModel * | pOwner,
|  | Mix::Scene::IActorListener::RT_SPACE_EVENT_ARGS & | args
| ) |  |

pure virtual

ルートトランスフォームの空間を問い合わせる際に呼び出されます

Parameters

  [in] | pOwner | このハンドラを呼び出したアクターモデルを表す Mix::Scene::IActorModel インターフェースのポインタのアドレス
  [in] | args | 提供されたデータを表す Mix::Scene::IActorListener::RT_SPACE_EVENT_ARGS 構造体

virtual void Mix::Scene::IActorListener::OnRTPreApply | ( | Mix::Scene::IActorModel * | pOwner,
|  | Mix::Scene::IActorListener::RT_APPLY_EVENT_ARGS & | args
| ) |  |

pure virtual

ルートトランスフォームを適用する前に呼び出されます

Parameters

  [in] | pOwner | このハンドラを呼び出したアクターモデルを表す Mix::Scene::IActorModel インターフェースのポインタのアドレス
  [in] | args | 提供されたデータを表す Mix::Scene::IActorListener::RT_APPLY_EVENT_ARGS 構造体

The documentation for this class was generated from the following file:

- Mix/Scene/IActorListener.h